@import '../../styles/mixins'
@import '../../styles/variables'

.mobile_header
    position relative
    display block
    +above(5)
        display none
    width 100%
    z-index 300
    background-color $cl--bg

    &__inner
        display flex
        flex-direction row
        justify-content space-between
        width 88%
        max-width $container
        margin 0 auto
        padding $sp--third 0

    &__nav
        display none
        top 0
        left 100vw
        width 100vw
        height 100vh
        background-color $cl--bg

    &__logo
        width $sp * 6

    &__toggle
        width $sp
        height $sp


.mobile_header--show
    position fixed
    top 0

    .nav
        display block !important


.mobile_header .nav
    display none
    top 0
    left 100vw
    width 100vw
    height 100vh
    background-color $cl--bg

    &__inner
        display flex
        flex-direction column
        justify-content space-between
        align-items center
        margin-top $sp--double

    &__item
        margin-top $sp--quarter

    &__link
        font-size $fz--base * $ratio
        +above(2)
            font-size $fz--base * $ratio ** 1.5
        +above(3)
            font-size $fz--base * $ratio ** 2

    &__separator
        margin $sp auto
        width 50%

    &__languages
        display flex
        flex-direction row

    &__language
        &:not(:first-child)
            margin-left $fz--base * $ratio

        > .nav__link
            font-size $fz--base
